Page MenuHomePhabricator

Stemming for item suggestions, e.g. "the" vs. no "the" on Wikidata
Closed, InvalidPublic

Description

Story: "As a user, I want to use an item like "Harvard Monthly" (Without knowing its ID)"

Problem: The user can't find "Harvard Monthly" because the "proper" title for the publication is "The Harvard Monthly" (no matches found at all)

Notes:

  • Strangely it works with "Beatles" and "The Beatles" (Band)
  • It works not well with "Zeit" and "Die Zeit" (Newspaper); There are matches found for "Zeit", but after clicking "more" 3 times, "Die Zeit" is still not there (But many others which include the string "zeit", like in "Zeitschrift für Kunstgeschichte" or "Zeitakubyō"

Related Objects

StatusAssignedTask
OpenNone
InvalidNone
ResolvedSmalyshev
InvalidNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev
Resolveddebt
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
ResolvedSmalyshev
ResolvedSmalyshev

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2017, 7:43 PM
Jan_Dittrich updated the task description. (Show Details)Mar 24 2017, 7:44 PM

"The Beatles" has "Beatles" as alias.

thiemowmde triaged this task as Low priority.Mar 26 2017, 11:45 AM

We can not solve this with the current approach, which relies on MySQL prefix search. But this will be resolved more or less automatically the moment we switch this service to use elastic. This is already tracked in various tickets.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptMar 26 2017, 11:45 AM
Deskana renamed this task from Stemming for item suggestions, e.g. "the" vs. no "the" to Stemming for item suggestions, e.g. "the" vs. no "the" on Wikidata.Mar 30 2017, 5:02 PM
Deskana moved this task from needs triage to later on... on the Discovery-Search board.

There's nothing specific to do here, since as noted above this problem will be solved when Wikidata eventually begins using Elasticsearch as a backend. This could be declined, or merged into the relevant tasks.

Lydia_Pintscher closed this task as Invalid.May 5 2017, 2:37 PM

Marking this as invalid as I don't think we need to keep this around. Moving to Elastic is in progress.